Create Custom Api
curl --request POST \
--url https://api.example.com/api/custom-apis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"url": "<string>",
"method": "GET",
"headers": {},
"body": "<string>",
"env": {},
"is_active": true
}
'import requests
url = "https://api.example.com/api/custom-apis"
payload = {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"method": "GET",
"headers": {},
"body": "<string>",
"env": {},
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
url: '<string>',
method: 'GET',
headers: {},
body: JSON.stringify('<string>'),
env: {},
is_active: true
})
};
fetch('https://api.example.com/api/custom-apis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"user_id": 123,
"name": "<string>",
"description": "<string>",
"url": "<string>",
"method": "<string>",
"headers": {},
"body": "<string>",
"env": {},
"is_active": true,
"is_default": true,
"created_at": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Custom APIs
Create Custom Api
Create a new Custom API.
POST
/
api
/
custom-apis
Create Custom Api
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request model for creating a Custom API.
API name
Required string length:
1 - 100API description
API URL
Required string length:
1 - 500HTTP method
HTTP headers
Show child attributes
Show child attributes
HTTP body (JSON template)
Environment variables (secrets)
Show child attributes
Show child attributes
Whether the API is active
Response
Successful Response
Response model for Custom API.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

